SubmitApplicationRequest (Apache Hadoop YARN API 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.protocolrecords, class: SubmitApplicationRequest

Package org.apache.hadoop.yarn.api.protocolrecords

# Class SubmitApplicationRequest

java.lang.Object
org.apache.hadoop.yarn.api.protocolrecords.SubmitApplicationRequest

@Public @Stable public abstract class SubmitApplicationRequest extends Object

The request sent by a client to submit an application to the `ResourceManager`.

The request, via `ApplicationSubmissionContext`, contains details such as queue, `Resource` required to run the `ApplicationMaster`, the equivalent of `ContainerLaunchContext` for launching the `ApplicationMaster` etc.

See Also:
  - `ApplicationClientProtocol.submitApplication(SubmitApplicationRequest)`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SubmitApplicationRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract ApplicationSubmissionContext`
  `getApplicationSubmissionContext()`
  Get the `ApplicationSubmissionContext` for the application.
  `static SubmitApplicationRequest`
  `newInstance(ApplicationSubmissionContext context)`
  `abstract void`
  `setApplicationSubmissionContext(ApplicationSubmissionContext context)`
  Set the `ApplicationSubmissionContext` for the application.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SubmitApplicationRequest

    public SubmitApplicationRequest()

- ## Method Details

  - ### newInstance

    @Public @Stable public static SubmitApplicationRequest newInstance(ApplicationSubmissionContext context)

  - ### getApplicationSubmissionContext

    @Public @Stable public abstract ApplicationSubmissionContext getApplicationSubmissionContext()
    Get the `ApplicationSubmissionContext` for the application.
    Returns:
      `ApplicationSubmissionContext` for the application

  - ### setApplicationSubmissionContext

    @Public @Stable public abstract void setApplicationSubmissionContext(ApplicationSubmissionContext context)
    Set the `ApplicationSubmissionContext` for the application.
    Parameters:
      `context` - `ApplicationSubmissionContext` for the application